import * as z from 'zod';
import type { Prisma } from '../../../generated/prisma';
import { PdfGroupCreateManyPatientInputObjectSchema as PdfGroupCreateManyPatientInputObjectSchema } from './PdfGroupCreateManyPatientInput.schema'

const makeSchema = () => z.object({
  data: z.union([z.lazy(() => PdfGroupCreateManyPatientInputObjectSchema), z.lazy(() => PdfGroupCreateManyPatientInputObjectSchema).array()]),
  skipDuplicates: z.boolean().optional()
}).strict();
export const PdfGroupCreateManyPatientInputEnvelopeObjectSchema: z.ZodType<Prisma.PdfGroupCreateManyPatientInputEnvelope> = makeSchema() as unknown as z.ZodType<Prisma.PdfGroupCreateManyPatientInputEnvelope>;
export const PdfGroupCreateManyPatientInputEnvelopeObjectZodSchema = makeSchema();
